<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.activity.device.fences.VirtualFencesActivity">

    <include
        android:id="@+id/virtual_fences_top_bar"
        layout="@layout/layout_top_bar" />

    <androidx.core.widget.NestedScrollView
        android:id="@+id/sv_virtual_fences_layout"
        style="@style/my_ScrollView_style"
        android:visibility="gone">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:padding="@dimen/dp_8">

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_virtual_fences_count"
                style="@style/my_TextView_style_v2"
                android:layout_marginStart="@dimen/dp_16"
                android:text="@string/txt_fences_set"
                android:textSize="@dimen/textSize14"
                app:typeface="@string/roboto_regular_font" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_12"
                android:background="@drawable/shape16_white_color_bg"
                android:padding="@dimen/dp_16">

                <com.abbidot.tracker.widget.TypefaceTextView
                    android:id="@+id/tv_fences_safe_zone_title"
                    style="@style/my_TextView_style_v2"
                    android:text="@string/txt_safe_zone"
                    android:textSize="@dimen/textSize16"
                    android:textStyle="bold" />

                <com.abbidot.tracker.widget.TypefaceRoundButton
                    android:id="@+id/btn_add_fences_safe_zone"
                    style="@style/my_QMUIRoundButton_very_small_style"
                    android:layout_alignParentEnd="true"
                    android:text="@string/txt_add_new"
                    android:textColor="@color/select_color"
                    android:visibility="gone"
                    app:qmui_borderColor="@color/btn_color"
                    app:qmui_borderWidth="@dimen/dp_1"
                    app:typeface="@string/roboto_bold_font" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv_fences_safe_zone"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@id/btn_add_fences_safe_zone"
                    android:nestedScrollingEnabled="false" />

            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_16"
                android:background="@drawable/shape16_white_color_bg"
                android:padding="@dimen/dp_16">

                <com.abbidot.tracker.widget.TypefaceTextView
                    android:id="@+id/tv_fences_no_go_zone_title"
                    style="@style/my_TextView_style_v2"
                    android:text="@string/txt_no_go_zone"
                    android:textSize="@dimen/textSize16"
                    android:textStyle="bold" />

                <com.abbidot.tracker.widget.TypefaceRoundButton
                    android:id="@+id/btn_add_fences_no_go_zone"
                    style="@style/my_QMUIRoundButton_very_small_style"
                    android:layout_alignParentEnd="true"
                    android:text="@string/txt_add_new"
                    android:textColor="@color/select_color"
                    android:visibility="gone"
                    app:qmui_borderColor="@color/btn_color"
                    app:qmui_borderWidth="@dimen/dp_1"
                    app:typeface="@string/roboto_bold_font" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv_fences_no_go_zone"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@id/btn_add_fences_no_go_zone"
                    android:nestedScrollingEnabled="false" />

            </RelativeLayout>

        </androidx.appcompat.widget.LinearLayoutCompat>

    </androidx.core.widget.NestedScrollView>
</androidx.appcompat.widget.LinearLayoutCompat>